<bugID>343019<Summary>Tab scrolling does not handle window resize and underflow well</Summary><Description>It's possible to end up with tabs that are scrolled off the tabbar and not have any scroll buttons.

1. Start with a fairly narrow browser window - say half the width of the screen.
2. Open several tabs so that some scrolling is possible.
3. Scroll the tabs all the way to the right if not already there.
4. Increase the width of the browser window.  Maximizing would probably be best.


Actual Results:
Notice how there is room to right of the tabs.  But some tabs are still scrolled out of view.  And if you are able to increase the width of the browser window enough so those tabs would fit on the tabber without the need of scrolling then the scrolling buttons would be removed and you would have no way to scroll those tabs into view.

So some tab scrolling is going to be needed when the window is resized.</Description></bugID>